Folks.Utils.multi_map_str_afd_equal – folks Reference Manual

# multi_map_str_afd_equal

## Description:

public static bool multi_map_str_afd_equal (MultiMap<string,AbstractFieldDetails> a, MultiMap<string,AbstractFieldDetails> b)

Check whether two multi-maps of strings to AbstractFieldDetails are equal.

This performs a deep check for equality, checking whether both maps are of the same size, and that each key maps to the same set of values in both maps.

## Parameters:

a | a multi-map to compare
b | another multi-map to compare

## Returns:

`true` if the multi-maps are equal, `false` otherwise

## Since:

0.6.0